Bug 44783 - cyrus-imapd 2.0.9-3 terminates connection on large IMAP writes
cyrus-imapd 2.0.9-3 terminates connection on large IMAP writes
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: cyrus-imapd (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-16 15:15 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 12:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-16 15:15:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
It seems that imapd has some kind of timeout for some commands. There is a 
time out that makes imapd recieve SIGALRM (14) when imapd is used with MS 
Outlook. Netscape downloads attachements seperately from the message, and 
it works fine (imapd either does not set a timeout for such commands, or 
it sets it too high).

How reproducible:
Always

Steps to Reproduce:
1. You must have a big message (>1MB if you have little bandwidth, use >10 
or 20MB if you are on LAN, you need more than 60 secs of tranfer time) 
stored in an account not served by Cyrus IMAP.
2. From MS-Outlook try to move this message to your Cyrus IMAP account in 
any folder.
3. Outlook terminates the action with message: Can't open/move item. The 
server did not respond to this command before the connection was 
terminated.
4. In syslog you may find (not always): master[17481]: process 17516 
exited, signaled to death by 14.
5. If step 4 is not true for your case, you can also check the pid of 
imapd that served you (it logs your authentication) and verify that this 
pid is not running.

Actual Results:  Cyrus IMAP exits before completing the request.

Expected Results:  Cyrus IMAP should open/move/write the message.

Additional info:

It happens only with MS Outlook. Netscape works but it transfers 
attachements in a different way.
Comment 1 David Lawrence 2003-05-16 12:50:24 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.